Activity

List organization activity

GET/v1/organization/activity

Lists the organization's audit log entries that match the query filters.

Authorizations

  • Authorizationstringheaderrequired

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Required permission: organization.activity.read

Query parameters

  • filterobject
  • pageinteger<int32>

    Limits:1 <= x <= 2147483

  • pageSizeinteger<int32>

    Limits:1 <= x <= 1000

  • sortColumnstring
  • ascendingboolean
  • actionPrefixstring
  • actorIdstring<uuid>
  • actorTypeenum<string>

    Allowed values:SYSTEMUSERAPI_KEYADMIN

  • severityenum<string>

    Allowed values:INFOWARNINGCRITICAL

  • targetEntityTypeenum<string>

    Allowed values:NONEBAREMETAL_SERVICEBAREMETAL_NODEINVOICEORDERSUBSCRIPTIONORGANIZATIONUSERSPNIP_BLOCKISO_FILEAPI_KEYSSH_KEYROLEPAYMENT_METHOD

  • targetEntityIdstring<uuid>
  • fromstring<date-time>
  • tostring<date-time>

Response

200 · application/json

OK

  • successbooleanrequired

    Allowed values:true

  • dataobject[] | nullrequired
  • paginationobject